List webhooks
Returns all webhooks for the account.
get
Authorizations
Api-TokenstringRequired
API token in Api-Token header
Responses
200
List of webhooks
application/json
401
Returns unauthorized error message. Check your credentials.
application/json
403
Returns forbidden error message. Check your permissions.
application/json
get/api/webhooks
curl -X GET https://mailtrap.io/api/webhooks \
-H 'Authorization: Bearer YOUR_API_KEY'
{
"data": [
{
"id": 1,
"url": "https://example.com/mailtrap/webhooks",
"active": true,
"webhook_type": "email_sending",
"payload_format": "json",
"sending_stream": "transactional",
"domain_id": 435,
"event_types": [
"delivery",
"bounce"
]
},
{
"id": 2,
"url": "https://example.com/mailtrap/webhooks",
"active": true,
"webhook_type": "audit_log",
"payload_format": "json"
}
]
}Last updated
Was this helpful?

